All Frameworks  Object Hierarchy  This Framework  Indexes   

HybridShapeSpline (Object)

Represents the hybrid shape spline feature object.
Role: To access the data of the hybrid shape spline feature object. This data includes:

Use the CATIAHybridShapeFactory to create a HybridShapeAffinity object.

See also:
HybridShapeFactory

Method Index

AddPointWithConstraintExplicit
Add a new point with explicit tangency and curvature.
AddPointWithConstraintFromCurve
Add a new point with tangency/curvature from a curve.
AddPoint
Add a new point .
GetClosure
Gets whether the curve is closed.
GetConstraintType
Returns the ControlPoint type at the given position.
GetCurvatureRadius
Returns the curvature radius value for each point of the spline.
GetDirectionInversion
Gets the orientation of the tangent direction .
GetNbControlPoint
Returns the number of control points.
GetPointConstraintExplicit
Returns the Constraint of the point at iPos.
GetPointConstraintFromCurve
Returns the Constraint of the point at iPos.
GetPointPosition
Returns the position of a given point.
GetPoint
Returns the Point at the given position.
GetSplineType
Gets the spline type.
GetSupport
Gets the support surface.
GetTangentNorm
Returns the tension for each point of the spline.
InvertDirection
Inverts the orientation of the tangent direction .
RemoveAll
Removes all elements in the list of points.
RemoveControlPoint
Removes a point at the given position.
RemoveCurvatureRadiusDirection
Removes Curvature Radius Direction for the given point of the spline.
RemoveCurvatureRadiusValue
Removes Curvature Radius Value for the given point of the spline.
RemoveSupport
Removes the support surface.
RemoveTangentDirection
Removes tangent Direction for the given point of the spline.
RemoveTension
Removes the Tension for the given point of the spline.
ReplacePointAtPosition
Replaces a point in the list at the given position.
SetClosing
Activates the closing option of the spline.
SetPointAfter
Sets the Point After a given position.
SetPointBefore
Sets the Point Before a given position.
SetPointConstraintExplicit
Sets the Constraint of the point at iPos.
SetPointConstraintFromCurve
Sets the Constraint of the point at iPos.
SetSplineType
Sets the spline type.
SetSupport
Sets the spline support surface.

Methods


o Sub AddPointWithConstraintExplicit( ipIAPoint,
ipIADirTangency,
iTangencyNorm,
iInverseTangency,
ipIADirCurvature,
iCurvatureRadius)
Add a new point with explicit tangency and curvature.
Parameters:
ipIAPoint
Point element.
ipIADirTangency
Tangent direction.
iTangencyNorm
Tension.
iInverseTangency
Flag to reverse tangent direction (value can be 1 or -1).
ipIADirCurvature
Curvature direction.
iCurvatureRadius
Curvature radius value.
o Sub AddPointWithConstraintFromCurve( ipIAPoint,
ipIACurveCst,
iTangencyNorm,
iInvertValue,
iCrvCstType)
Add a new point with tangency/curvature from a curve.
Parameters:
ipIAPoint
Point element.
ipIACurveCst
Curvature direction.
iTangencyNorm
tension factor for tangency.
iInvertValue
Orientation for tangent
iCrvCstType
Continuity type for Curve Constraint (1=Tangency , 2-= Curvature).
o Sub AddPoint( ipIAPoint)
Add a new point .
Parameters:
iPoint
Point element.
o Func GetClosure() As
Gets whether the curve is closed.
Parameters:
oClosed
Closing flag
1
for a closed curve
0
for an open curve
o Func GetConstraintType( iPos) As
Returns the ControlPoint type at the given position.
Parameters:
iPos
The poistion of the point to retrieve
oCstType
Type of Control point (CstType=0 : not defined / CstType=1 : Explicit / CstType=2 : FromCurve)
o Func GetCurvatureRadius( iPos) As
Returns the curvature radius value for each point of the spline.
Parameters:
iPos
The position of the point in the spline.
Legal values: first position is 1. The position cannot be 0.
oRadius
The curvature radius value at this point
o Func GetDirectionInversion( iPos) As
Gets the orientation of the tangent direction .
Parameters:
oInvertFlag
invert flag = 1 No Inversion = -1 Invert
iPos
Position of point in spline First Position is 1 Position 0 return E_FAIL
o Func GetNbControlPoint() As
Returns the number of control points.
Parameters:
oNbCtrPt
The number of control points.
o Sub GetPointConstraintExplicit( iPos,
opIADirTangency,
oTangencyNorm,
oInverseTangency,
opIADirCurvature,
oCurvatureRadius)
Returns the Constraint of the point at iPos.
Available for Explicit Point Constraint type (CstType =1 from GetContraintType)
Parameters:
iPos
The position of the point to retrieve
opIADirTangency
Tangent direction.
oTangencyNorm
Tension.
oInverseTangency
Flag to reverse tangent direction (value can be 1 or -1).
opIADirCurvature
Curvature direction.
oCurvatureRadius
Curvature radius value.
o Sub GetPointConstraintFromCurve( iPos,
opIACurveCst,
oTangencyNorm,
oInvertValue,
oCrvCstType)
Returns the Constraint of the point at iPos.
Available for FromCurve Point Constraint type (CstType =2 from GetContraintType)
Parameters:
iPos
The position of the point to retrieve
opIACurveCst
Curvature direction.
oTangencyNorm
tension factor for tangency.
oInvertValue
Orientation for tangent
oCrvCstType
Continuity type for Curve Constraint (1=Tangency , 2-= Curvature).
o Func GetPointPosition( ipIAPoint) As
Returns the position of a given point.
Parameters:
ipIAPoint
Point
oPos
The position of the point (=0 Point Not in Spline)
o Func GetPoint( iPos) As
Returns the Point at the given position.
Parameters:
iPos
The poistion of the point to retrieve
opIAPoint
Type of Control point (TypeCtrPoint =1 : Explicit / TypeCtrPoint =2 : FromCurve)
o Func GetSplineType() As
Gets the spline type.
Parameters:
oType
= 0 : Cubic Type Spline. = 1 : WilsonFowler Type Spline.
o Func GetSupport() As
Gets the support surface.
Parameters:
oSupport
Supporting surface for spline (if exist)
o Func GetTangentNorm( iPos) As
Returns the tension for each point of the spline.
The tension is the tangent norm at the given point.
Parameters:
iPos
The position of the point in the spline.
Legal values: first position is 1. The position cannot be 0.
oTension
The tension at this point
o Sub InvertDirection( iPos)
Inverts the orientation of the tangent direction .
Parameters:
iPos
Position of point in spline First Position is 1 Position 0 return E_FAIL
o Sub RemoveAll()
Removes all elements in the list of points.
o Sub RemoveControlPoint( iPos)
Removes a point at the given position.
Parameters:
iPos
The position of the point to remove
o Sub RemoveCurvatureRadiusDirection( iPos)
Removes Curvature Radius Direction for the given point of the spline.
Parameters:
iPos
Position of point in spline First Position is 1 Position 0 return E_FAIL
o Sub RemoveCurvatureRadiusValue( iPos)
Removes Curvature Radius Value for the given point of the spline.
Parameters:
iPos
Position of point in spline First Position is 1 Position 0 return E_FAIL
o Sub RemoveSupport()
Removes the support surface.
o Sub RemoveTangentDirection( iPos)
Removes tangent Direction for the given point of the spline.
Parameters:
iPos
Position of point in spline First Position is 1 Position 0 return E_FAIL
o Sub RemoveTension( iPos)
Removes the Tension for the given point of the spline.
Parameters:
iPos
Position of point in spline First Position is 1 Position 0 return E_FAIL
o Sub ReplacePointAtPosition( iPos,
iPoint)
Replaces a point in the list at the given position.
Parameters:
oPoint
Point
iPos
Replace position
o Sub SetClosing( iClosingType)
Activates the closing option of the spline.
Parameters:
iClosingType
The spline closing option
o Sub SetPointAfter( iPos,
ipIAPoint)
Sets the Point After a given position.
Parameters:
iPos
The position reference (0 < position < Nbpt)
ipIAPoint
Point
o Sub SetPointBefore( iPos,
ipIAPoint)
Sets the Point Before a given position.
Parameters:
iPos
The position reference (1 < position < Nbpt+1)
ipIAPoint
Point
o Sub SetPointConstraintExplicit( iPos,
ipIADirTangency,
iTangencyNorm,
iInverseTangency,
ipIADirCurvature,
iCurvatureRadius)
Sets the Constraint of the point at iPos.
Available for Explicit Point Constraint type (CstType =1 from GetContraintType)
Parameters:
iPos
The position of the point to retrieve
ipIADirTangency
Tangent direction.
iTangencyNorm
Tension.
iInverseTangency
Flag to reverse tangent direction (value can be 1 or -1).
ipIADirCurvature
Curvature direction.
iCurvatureRadius
Curvature radius value.
o Sub SetPointConstraintFromCurve( iPos,
ipIACurveCst,
iTangencyNorm,
iInvertValue,
iCrvCstType)
Sets the Constraint of the point at iPos.
Available for From Curve Point Constraint type (CstType =2 from GetContraintType)
Parameters:
iPos
The position of the point to retrieve
ipIACurveCst
Curvature direction.
iTangencyNorm
tension factor for tangency.
iInvertValue
Orientation for tangent
iCrvCstType
Continuity type for Curve Constraint (1=Tangency , 2-= Curvature).
o Sub SetSplineType( iSplineType)
Sets the spline type.
Parameters:
iSplineType
The spline type
Legal values: Cubic spline (0) or WilsonFowler (1)
o Sub SetSupport( iSupport)
Sets the spline support surface.
Have your "tangent direction" tangent to this support is recommended.
Parameters:
iSupport
The spline support surface.
Sub-element(s) supported (see
Boundary object): Face.

Copyright © 2003, Dassault Systèmes. All rights reserved.